Summary:	Aggregate list of prefixes
Name:		aggregate
Version:	1.6
Release:	%mkrel 11
License:	BSD-like
Group:		Networking/Other
Source0:	ftp://ftp.isc.org/isc/aggregate/%{name}-%{version}.tar.gz
Patch0:         aggregate-fedora.patch
Url:		http://freshmeat.net/projects/aggregate

%description
Aggregate takes a list of prefixes in conventional format on stdin,
and performs two optimizations to reduce the length of the prefix
list. It removes any supplied prefixes which are superfluous because
they are already included in another supplied prefix (e.g.,
203.97.2.0/24 would be removed if 203.97.0.0/17 was also supplied),
and identifies adjacent prefixes that can be combined under a single,
shorter-length prefix (e.g., 203.97.2.0/24 and 203.97.3.0/24 can be
combined into the single prefix 203.97.2.0/23).

%prep
%autosetup

#fix rights
chmod 644 LICE*

%build
%configure
%make_build

%install
install -d %{buildroot}{%{_bindir},%{_mandir}/man1}

install -Dpm755 aggregate aggregate-ios %{buildroot}%{_bindir}
install -Dpm644 aggregate.1 aggregate-ios.1 %{buildroot}%{_mandir}/man1

%files
%doc LICEN* HISTORY
%{_bindir}/*
%{_mandir}/man1/*


%changelog
* Mon Mar 14 2022 umeabot <umeabot> 1.6-11.mga9
+ Revision: 1791708
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.6-10.mga8
+ Revision: 1511639
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.6-9.mga7
+ Revision: 1297300
- Mageia 7 Mass Rebuild

* Wed Feb 10 2016 umeabot <umeabot> 1.6-8.mga6
+ Revision: 953052
- Mageia 6 Mass Rebuild

* Wed Sep 16 2015 tv <tv> 1.6-7.mga6
+ Revision: 879902
- reenable debuginfo & fix empty debuginfo (patch 0)

* Wed Sep 09 2015 neoclust <neoclust> 1.6-6.mga6
+ Revision: 875056
- Fix build with new rpm ( empty debuginfo)

* Wed Oct 15 2014 umeabot <umeabot> 1.6-5.mga5
+ Revision: 750963
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6-4.mga5
+ Revision: 677718
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.6-3.mga4
+ Revision: 502472
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.6-2.mga3
+ Revision: 345329
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jun 16 2011 wally <wally> 1.6-1.mga2
+ Revision: 108198
- imported package aggregate


* Wed Jun 15 2011 Jani Välimaa <wally@mandriva.org> 1.6-1mdv2011.0
+ Revision: 685433
- import aggregate

